@charset "utf-8";

/* ボタンメニュー */
.menu-btn {
  position: fixed;
  top: 0;
  right: 0;
  display: flex;
  height: 50px;
  width: 50px;
  justify-content: center;
  align-items: center;
  z-index: 200;
  background-color: #140067;
}

.menu-btn span,
.menu-btn span:before,
.menu-btn span:after {
  content: '';
  display: block;
  height: 3px;
  width: 25px;
  border-radius: 3px;
  background-color: #fff;
  position: absolute;
}

.menu-btn span:before {
  bottom: 8px;
}

.menu-btn span:after {
  top: 8px;
}

#menu-btn-check:checked ~ .menu-btn span {
  background-color: rgba(255, 255, 255, 0);/*メニューオープン時は真ん中の線を透明にする*/
}

#menu-btn-check:checked ~ .menu-btn span::before {
  bottom: 0;
  transform: rotate(45deg);
}

#menu-btn-check:checked ~ .menu-btn span::after {
  top: 0;
  transform: rotate(-45deg);
}

#menu-btn-check {
  display: none;
}

.menu-content {
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 100%;
  z-index: 100;
  background-color: #cec2ff;
  transition: all 0.5s;
  opacity: 0.9;
}

#menu-btn-check:checked ~ .menu-content {
  left: 0;/*画面内*/
}

.menu-content > ul {
  padding: 100px 10px 0;
}

.menu-content ul li {
  list-style: none;
  text-align: center;
  border-bottom: solid 1px #fff;
}

.menu-content ul li a {
  display: block;
  width: 100%;
  box-sizing: border-box;
  position: relative;
  padding: 20px 0;
  font-size: 22px;
  color: #140067;
  font-weight: bold;
  text-decoration: none;
}

.menu-content ul li a::before {
  content: "";
  width: 7px;
  height: 7px;
  border-top: solid 2px #fff;
  border-right: solid 2px #fff;
  transform: rotate(45deg);
  position: absolute;
  right: 10px;
  top: 35px;
}


ul.humSub {
  padding: 0;
}

ul.humSub li {
  list-style: none;
  text-align: right;
  border-bottom: solid 1px #fff;
}

ul.humSub li a {
  display: block;
  width: 100%;
  box-sizing: border-box;
  position: relative;
  padding: 20px 75px;
  font-size: 18px;
  color: #140067;
  text-decoration: none;
}





/*
nav{
  grid-row: head;
  justify-self: center;
  align-self: end;
}

nav ul{
  list-style-type: none;
  padding: 0;
  display: grid;
  grid-auto-flow: column;
  grid-column-gap: 20px;
  column-gap: 20px;
}

nav a{
  color: #666666;
  text-decoration: none;
  font-size: 12px;
  font-weight: bold;
}

nav a:hover{
  color: #ef9504;
}


*/






